﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
    
public partial class PageFlow : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Объекты созданы и инициализированы начальными значениями
        // и возвращенным состоянием вида
        lblInfo.Text += "Сработал обработчик события Load <br />";

        if (Page.IsPostBack)
        {
            lblInfo.Text += "<b>Эта страница запрашивается не впервые</b><br />";
        }
    }

    protected void Page_Init(object sender, EventArgs e)
    {
        lblInfo.Text += "Сработал обработчик события Init <br />";       
    }

    protected void Page_PreRender(object sender, EventArgs e)
    {
        lblInfo.Text += "Сработал обработчик события PreRender <br /><hr />";       
    }

    protected void Page_Unload(object sender, EventArgs e)
    {
        // Не увидим, HTML уже сгенерирован
        lblInfo.Text += "Сработал обработчик события Unload <br />";       
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        lblInfo.Text += "Сработал обработчик события Click кнопки <br />";       
    }
}
